Create a download session of presigned version-export files
POST
/v1/projects/{projectId}/versions/{versionNumber}/exports/{exportId}/downloadscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/versions/{versionNumber}/exports/{exportId}/downloads' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"pageSize": 0,
"pageToken": "string",
"expiresInSeconds": 0
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- versionNumbernumber必填
- exportIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- pageSizenumber
- pageTokenstring
- expiresInSecondsnumber
响应
Success
- dataobject必填
- downloadSessionIdstring必填
- expiresAtstring必填
- zipUrlstring | null
- filesarray<VersionExportDownloadFileSwaggerDto>必填
- pageTokenstring | null
响应示例
{
"data": {
"downloadSessionId": "string",
"expiresAt": "string",
"zipUrl": "string",
"files": [
{
"path": "string",
"sizeBytes": 0,
"sha256": "string",
"url": "string"
}
],
"pageToken": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1